[metadata]
name = fava
version = attr: setuptools_scm.get_version
description = Web interface for the accounting tool Beancount.
long_description = file: README.rst
long_description_content_type = text/x-rst
url = https://beancount.github.io/fava/
project_urls = 
	Documentation = https://beancount.github.io/fava/
	Changes = https://beancount.github.io/fava/changelog.html
	Source Code = https://github.com/beancount/fava/
	Issue Tracker = https://github.com/beancount/fava/issues/
	Chat = https://gitter.im/beancount/fava
author = Dominik Aumayr
author_email = dominik@aumayr.name
maintainer = Jakob Schnitzer
maintainer_email = mail@jakobschnitzer.de
keywords = fava beancount accounting
license = MIT
classifiers = 
	Development Status :: 5 - Production/Stable
	Environment :: Web Environment
	Framework :: Flask
	Intended Audience :: Education
	Intended Audience :: End Users/Desktop
	Intended Audience :: Financial and Insurance Industry
	Intended Audience :: Information Technology
	License :: OSI Approved :: MIT License
	Natural Language :: English
	Programming Language :: JavaScript
	Programming Language :: Python :: 3 :: Only
	Programming Language :: Python :: 3.7
	Programming Language :: Python :: 3.8
	Programming Language :: Python :: 3.9
	Programming Language :: Python :: 3.10
	Topic :: Internet :: WWW/HTTP :: Dynamic Content
	Topic :: Office/Business :: Financial :: Accounting
	Topic :: Office/Business :: Financial :: Investment

[options]
zip_safe = False
include_package_data = True
package_dir = 
	=src
packages = find:
python_requires = >=3.6
setup_requires = 
	setuptools_scm
install_requires = 
	Babel>=2.7,<3
	Flask-Babel>=1,<3
	Flask>=2,<3
	Jinja2>=3,<4
	Werkzeug>=2,<3
	beancount>=2.3.5,<3
	cheroot>=8,<9
	click>=7,<9
	markdown2>=2.3.0,<3
	ply
	simplejson>=3.16.0,<4

[options.entry_points]
console_scripts = 
	fava = fava.cli:main

[options.extras_require]
excel = 
	pyexcel>=0.2.2
	pyexcel-ods3>=0.1.1
	pyexcel-xls>=0.1.0
	pyexcel-xlsx>=0.1.0

[options.packages.find]
where = src

[egg_info]
tag_build = 
tag_date = 0

